Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service.impl
Class IntraHubTherapeuticLinkServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.hub.service.impl.IntraHubTherapeuticLinkServiceImpl

All Implemented Interfaces:
  IntraHubTherapeuticLinkService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class IntraHubTherapeuticLinkServiceImpl

extends Object
implements IntraHubTherapeuticLinkService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `IntraHubTherapeuticLinkService` Extends : `IntraHubAbstract`

Constructor Summary
`IntraHubTherapeuticLinkServiceImpl()` needed for ModuleBootstrapHook.
`IntraHubTherapeuticLinkServiceImpl(IntraHubService hubService, HubReplyValidator validator)` Instantiates a new intra hub therapeutic link service.

Method Summary
`void` | `bootstrap()`
`Collection<TherapeuticLinkType>` | `getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)` Gets the therapeutic link.
`void` | `putTherapeuticLink(TherapeuticLinkType therapeuticLink)` Put therapeutic link.
`void` | `revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)` Revoke therapeutic link.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntraHubTherapeuticLinkServiceImpl

    public IntraHubTherapeuticLinkServiceImpl(IntraHubService hubService,
                                              HubReplyValidator validator)
                                       throws TechnicalConnectorException,
                                              IntraHubBusinessConnectorException

  Instantiates a new intra hub therapeutic link service.

  Parameters:
    `hubService` - the hub service
    `validator` - the validator
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### IntraHubTherapeuticLinkServiceImpl

    public IntraHubTherapeuticLinkServiceImpl()

  needed for ModuleBootstrapHook. dont create service with this constructor.

Method Detail

### putTherapeuticLink

    public void putTherapeuticLink(TherapeuticLinkType therapeuticLink)
                            throws TechnicalConnectorException,
                                   IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTherapeuticLinkService`
  Put therapeutic link.

  Specified by:
    `putTherapeuticLink` in interface `IntraHubTherapeuticLinkService`
  Parameters:
    `therapeuticLink` - the therapeutic link
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTherapeuticLinkService.putTherapeuticLink(be.fgov.ehealth.hubservices.core.v1.TherapeuticLinkType)`

### getTherapeuticLink

    public Collection<TherapeuticLinkType> getTherapeuticLink(SelectGetHCPartyPatientConsentType patientConsent)
                                                       throws TechnicalConnectorException,
                                                              IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTherapeuticLinkService`
  Gets the therapeutic link.

  Specified by:
    `getTherapeuticLink` in interface `IntraHubTherapeuticLinkService`
  Parameters:
    `patientConsent` - the patient consent
  Returns:
    the therapeutic link
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTherapeuticLinkService.getTherapeuticLink(be.fgov.ehealth.hubservices.core.v1.SelectGetHCPartyPatientConsentType)`

### revokeTherapeuticLink

    public void revokeTherapeuticLink(TherapeuticLinkType therapeuticLink)
                               throws TechnicalConnectorException,
                                      IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTherapeuticLinkService`
  Revoke therapeutic link.

  Specified by:
    `revokeTherapeuticLink` in interface `IntraHubTherapeuticLinkService`
  Parameters:
    `therapeuticLink` - the therapeutic link
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTherapeuticLinkService.revokeTherapeuticLink(be.fgov.ehealth.hubservices.core.v1.TherapeuticLinkType)`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.